function[ma]=MA(rho,j)

% Generating an MA(j) from an AR(p)
% Inputs: coefficients as a column vector, how many terms you want
% Note that the first element is the zero element, the second the multiplier 1 and so on

p=length(rho);

F=[];
F(1,:)=rho';
for i=2:p
   F(i,:)=zeros(1,p);
   F(i,i-1)=1;
end

ma(1,1)=1;
for i=2:j
   temp=F^(i-1);
   ma(i,1)=temp(1,1);
end